Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234060 - [PATCH] IDN (umlaut domains) support for ping and ping6
Summary: [PATCH] IDN (umlaut domains) support for ping and ping6
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: iputils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Bacovsky
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-26 20:27 UTC by Robert Scheck
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-27 11:41:10 UTC


Attachments (Terms of Use)
iputils-20070202-idn.patch (deleted)
2007-03-26 20:28 UTC, Robert Scheck
no flags Details | Diff

Description Robert Scheck 2007-03-26 20:27:08 UTC
Description of problem:
Currently, neither ping nor ping6 provide IDN (umlaut domains) support, I've 
worked out a small patch adding this feature.

Version-Release number of selected component (if applicable):
iputils-20070202-1

How reproducible:
Everytime, try "ping dänic.de" for example.

Actual results:
No IDN (umlaut domains) support in ping and ping6.

Expected results:
IDN support in ping and ping6 for more usability like at traceroute, jwhois, 
Mozilla Firefox and Opera for example.

Additional info:
My patch isn't that sane and the definement should be moved somewhere else, but 
I'm sending this patch to upstream to. Adding this patch requires libidn-devel 
as additional build requirement, as long as getaddrinfo() is used always (!) in 
favour over gethostbyname().

Comment 1 Robert Scheck 2007-03-26 20:28:48 UTC
Created attachment 150951 [details]
iputils-20070202-idn.patch

Comment 2 Martin Bacovsky 2007-03-27 11:40:15 UTC
This patch should be applied in version iputils-20070202-2.fc7. Thanks for patch
and datailed report

Comment 3 Robert Scheck 2007-03-27 21:37:33 UTC
Wow, thanks for applying :)


Note You need to log in before you can comment on or make changes to this bug.